sqlline_1.0.2-5_all.deb


Advertisement

Description

sqlline - JDBC command-line utility for issuing SQL

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: sqlline
Package version: 1.0.2
Package release: 5
Package architecture: all
Package type: deb
Installed size: 124 B
Download size: 63.02 KB
Official Mirror: archive.ubuntu.com
SQLLine is a pure-Java console based utility for connecting to relational databases and executing SQL commands. It is similar to other command-line database access utilities like sqlplus for Oracle, mysql for MySQL, and isql for Sybase/SQL Server. Since it is pure-Java, it is platform independent, and will run on any platform that can run Java 1.3 or higher.

Alternatives

    Download

    Binary package: sqlline_1.0.2-5_all.deb
    Source package: sqlline

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install sqlline deb package:
      # sudo apt-get install sqlline

    Files

    • /usr/bin/sqlline
    • /usr/share/doc/sqlline/AUTHORS
    • /usr/share/doc/sqlline/README.Debian
    • /usr/share/doc/sqlline/VERSION.txt
    • /usr/share/doc/sqlline/changelog.Debian.gz
    • /usr/share/doc/sqlline/copyright
    • /usr/share/java/sqlline.jar
    • /usr/share/lintian/overrides/sqlline
    • /usr/share/man/man1/sqlline.1.gz

    Changelog

    2014-03-06 - Emmanuel Bourg <ebourg@apache.org> sqlline (1.0.2-5) unstable; urgency=medium * Team upload. * Add the known JDBC drivers to the classpath instead of setting the java.ext.dirs system property (Closes: #705645) * Renamed the 'enum' variables to fix a build failure (Closes: #738425) * Updated the Lintian overrides to use capitalization-error-in-description instead of spelling-error-in-description * debian/control: - Standards-Version updated to 3.9.5 (no changes) - Use canonical URLs for the Vcs-* fields - Recommend libpostgresql-jdbc-java instead of libpg-java * Switch to debhelper level 9 * Added a clean target to debian/rules

    2011-08-29 - Torsten Werner <twerner@debian.org> sqlline (1.0.2-4) unstable; urgency=low * Team upload. * Switch to source format 3.0. * Switch to debhelper level 7. * Update Standards-Version: 3.9.1.

    2009-09-26 - Damien Raude-Morvan <drazzib@debian.org> sqlline (1.0.2-3) unstable; urgency=low * Use default-jdk instead of default-jdk-builddep for Build-Depends as no components are built with gcj * Depends on default-jre-headless instead of gcj * Update Vcs-* fields * Add Homepage field * Bump Standards-Version to 3.8.3: - Add ${misc:Depends} in Depends field for debhelper - Move to "java" section of archive * Switch to Quilt patch system: - Refresh all patches - Add B-D on quilt - Include patchsys-quilt.mk in debian/rules * Set Maintainer field to Debian Java Team * Add myself as Uploaders and update my email address * Add lintian-override for spelling-error-in-description

    2008-11-30 - Damien Raude-Morvan <drazzib@drazzib.com> sqlline (1.0.2-2) unstable; urgency=low * debian/sqlline.sh: Use java-wrappers for launch script * debian/control: - Build-Depend on default-jdk-builddep instead of java-gcj-compat-dev - Depends on java-wrappers for launch script * debian/rules: Use default-java from default-jdk-builddep as JAVA_HOME * debian/watch: Use uversionmangle=s/_/./g to replace _ by . in upstream version

    2008-08-09 - Damien Raude-Morvan <drazzib@drazzib.com> sqlline (1.0.2-1) unstable; urgency=low * Initial release (Closes: #491805) * debian/sqlline.1: create manpage for sqlline program * Use debian/install to install jar and shell script (instead of install/sqlline:: rule) and just strip .sh from script name in binary-post-install/sqlline:: * debian/control: - Recommends a JDBC driver (all drivers available as alternative) - Depends on a JRE (has required by Debian Java-Policy). Use java-gcj-compat-headless as default and java2-runtime-headless for alternatives - Keep java-gcj-compat-dev in B-D as it's needed for clean target * debian/copyright: - Add a note for vestigious LICENCE file (see #491805) - Licence packaging work under BSD (using same licence as upstream)

    Advertisement
    Advertisement